gsw_sound_speed_ice {gsw} | R Documentation

## Sound speed in ice

### Description

Speed of sound in ice.

### Usage

    gsw_sound_speed_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

sound speed [ m/s ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_sound_speed_ice.html

### See Also

Other things related to sound: `gsw_sound_speed_t_exact`, `gsw_sound_speed`

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600, -10.8863, -8.4036)
    p <- c(      10,       50,      125,      250,      600,    1000)
    speed <- gsw_sound_speed_ice(t, p)
    expect_equal(speed/1e3, c(3.111311360346254, 3.116492565497544, 3.115833462003452,
                             3.115637032488204, 3.115377253092692, 3.113321384499191))

[Package gsw version 1.0-5 Index]